#!/bin/bash
#
# Configuration script, to be run before compilation
#
# S.Chekanov

CURRENT_DIR=`pwd`

# specify compilers here (do not change this part!) 
CXX="g++"
CC="gcc"
AR="ar"
XMAKE="make"


protocxx=$CURRENT_DIR/share/bin/protoc
chmod 755 $protocxx

echo "Generating proto files.."
export PROTOBUF=$CURRENT_DIR/share
export LD_LIBRARY_PATH=$PROTOBUF/lib:$LD_LIBRARY_PATH
export PATH=$PROTOBUF/bin:$PATH
export PKG_CONFIG_PATH=$PROTOBUF/lib/pkgconfig:$PKG_CONFIG_PATH


PRFILE="ProMC"
echo "Process $PRFILE proto file"
ln -s proto/promc/$PRFILE.proto .
$protocxx --cpp_out=src          $PRFILE.proto
$protocxx --java_out=java/src    $PRFILE.proto
$protocxx --python_out=src       $PRFILE.proto
cp -f src/*.h inc/
rm -f $PRFILE.proto


echo "ProNLO"
ln -s proto/pronlo/$PRFILE.proto .
$protocxx --java_out=java/src    $PRFILE.proto
rm -f $PRFILE.proto


PRFILE="ProMCDescription"
echo "Process $PRFILE proto file"
ln -s proto/promc/$PRFILE.proto .
$protocxx --cpp_out=src         $PRFILE.proto
$protocxx --java_out=java/src   $PRFILE.proto
$protocxx --python_out=src      $PRFILE.proto
cp -f src/*.h inc/
rm -f $PRFILE.proto


echo "ProNLO"
ln -s proto/pronlo/$PRFILE.proto .
$protocxx --java_out=java/src    $PRFILE.proto
rm -f $PRFILE.proto


PRFILE="ProMCHeader"
echo "Process $PRFILE proto file"
ln -s proto/promc/$PRFILE.proto .
$protocxx --cpp_out=src          $PRFILE.proto
$protocxx --java_out=java/src    $PRFILE.proto
$protocxx --python_out=src       $PRFILE.proto
cp -f src/*.h inc/
rm -f $PRFILE.proto

echo "ProNLO"
ln -s proto/pronlo/$PRFILE.proto .
$protocxx --java_out=java/src    $PRFILE.proto
rm -f $PRFILE.proto

PRFILE="ProMCStat"
echo "Process $PRFILE proto file"
ln -s proto/promc/$PRFILE.proto .
$protocxx --cpp_out=src          $PRFILE.proto
$protocxx --java_out=java/src    $PRFILE.proto
$protocxx --python_out=src       $PRFILE.proto
cp -f src/*.h inc/
rm -f $PRFILE.proto

echo "ProNLO"
ln -s proto/pronlo/$PRFILE.proto .
$protocxx --java_out=java/src    $PRFILE.proto
rm -f $PRFILE.proto


PRFILE="HEvent"
echo "Process $PRFILE proto file"
ln -s proto/cbook/$PRFILE.proto .
$protocxx --cpp_out=src        $PRFILE.proto
$protocxx --java_out=java/src  $PRFILE.proto
$protocxx --python_out=src     $PRFILE.proto
cp -f src/*.h inc/
cp src/$PRFILE.pb.cc   cbook/src/HRecord/$PRFILE.pb.cc
cp src/$PRFILE.pb.h    cbook/inc/CBook/
rm -f $PRFILE.proto

PRFILE="HRecord"
echo "Process $PRFILE proto file"
ln -s proto/cbook/$PRFILE.proto .
$protocxx --cpp_out=src          $PRFILE.proto
$protocxx --java_out=java/src    $PRFILE.proto
$protocxx --python_out=src       $PRFILE.proto
cp -f src/*.h inc/
cp src/$PRFILE.pb.cc  cbook/src/HRecord/$PRFILE.pb.cc
cp src/$PRFILE.pb.h   cbook/inc/CBook/
rm -f $PRFILE.proto

echo "--> Done !"

